import { Repository } from 'typeorm';
import { User } from '../auth/entities/user.entity';
export declare class UsersService {
    private readonly userRepository;
    constructor(userRepository: Repository<User>);
    findAllByTenant(tenantId: string, page: number, limit: number): Promise<{
        data: Partial<User>[];
        total: number;
        page: number;
        limit: number;
    }>;
    findOne(id: string, tenantId: string): Promise<Partial<User>>;
    update(id: string, updateDto: any, tenantId: string): Promise<Partial<User>>;
    private sanitizeUser;
}
